- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::ExecutableProcessor Class Reference

A Processor class that processes message files using an external preprocessor program. More...

`#include <gexecutableprocessor.h>`

Inheritance diagram for GSmtp::ExecutableProcessor:

## Public Member Functions
| ExecutableProcessor (const G::Executable &)
| Constructor. More...
virtual | ~ExecutableProcessor ()
| Destructor. More...
virtual G::Signal1< bool > & | doneSignal ()
| Final override from from GSmtp::Processor. More...
virtual void | start (const std::string &path)
| Final override from from GSmtp::Processor. More...
virtual void | abort ()
| Final override from from GSmtp::Processor. More...
virtual std::string | text () const
| Final override from from GSmtp::Processor. More...
virtual bool | cancelled () const
| Final override from from GSmtp::Processor. More...
virtual bool | repoll () const
| Final override from from GSmtp::Processor. More...
Public Member Functions inherited from GSmtp::Processor
virtual | ~Processor ()
| Destructor. More...

## Detailed Description

A Processor class that processes message files using an external preprocessor program.

Definition at line 39 of file gexecutableprocessor.h.

## Constructor & Destructor Documentation

GSmtp::ExecutableProcessor::ExecutableProcessor | ( | const G::Executable & | exe | ) |
| explicit

Constructor.

Definition at line 30 of file gexecutableprocessor.cpp.

GSmtp::ExecutableProcessor::~ExecutableProcessor | ( |  | ) |
| virtual

Destructor.

Definition at line 38 of file gexecutableprocessor.cpp.

## Member Function Documentation

void GSmtp::ExecutableProcessor::abort | ( |  | ) |
| virtual

Final override from from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 148 of file gexecutableprocessor.cpp.

bool GSmtp::ExecutableProcessor::cancelled | ( |  | ) | const
| virtual

Final override from from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 42 of file gexecutableprocessor.cpp.

G::Signal1< bool > & GSmtp::ExecutableProcessor::doneSignal | ( |  | ) |
| virtual

Final override from from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 143 of file gexecutableprocessor.cpp.

bool GSmtp::ExecutableProcessor::repoll | ( |  | ) | const
| virtual

Final override from from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 47 of file gexecutableprocessor.cpp.

void GSmtp::ExecutableProcessor::start | ( | const std::string & | path | ) |
| virtual

Final override from from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 153 of file gexecutableprocessor.cpp.

std::string GSmtp::ExecutableProcessor::text | ( |  | ) | const
| virtual

Final override from from GSmtp::Processor.

Returns any "<<text>>" or "[[text]]" output by the executable.

Implements GSmtp::Processor.

Definition at line 52 of file gexecutableprocessor.cpp.

The documentation for this class was generated from the following files:

- gexecutableprocessor.h
- gexecutableprocessor.cpp